%define major 0
%define libname %mklibname %{name} %major

BuildRequires:  gcc
%define develname %mklibname %{name} -d

Name:		cjose
Version:	0.6.1
%define subrel 1
Release:	%mkrel 1
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Group:		System/Libraries
License:	MIT
URL:            https://github.com/cisco/cjose
Source0:  	https://github.com/cisco/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch1: concatkdf.patch
Patch2: CVE-2023-37464.patch

BuildRequires:	doxygen
BuildRequires:	pkgconfig(check) >= 0.9.2
BuildRequires:	pkgconfig(jansson) >= 2.3
BuildRequires:	pkgconfig(openssl) >= 1.0.1h

%description
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{libname}
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Group:		System/Libraries

%description -n %{libname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{develname}
Summary:	Development files for cjose
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

This package contains development files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%check
# testsuite fails on arm
%ifnarch %{arm}
make check || (cat test/test-suite.log; exit 1)
%endif

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/doc/%{name}


%changelog
* Thu Sep 14 2023 ns80 <ns80> 0.6.1-1.1.mga8
+ Revision: 1986542
- add patch from Debian for CVE-2023-37464 (mga#32274)

* Mon Nov 16 2020 tv <tv> 0.6.1-1.mga8
+ Revision: 1646531
- 0.6.1

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-3.mga8
+ Revision: 1511310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1296254
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 0.5.1-1.mga7
+ Revision: 1175992
- New version 0.5.1

* Sat Sep 09 2017 cjw <cjw> 0.4.1-4.mga7
+ Revision: 1152100
- rebuild for openssl 1.1

* Fri Sep 23 2016 daviddavid <daviddavid> 0.4.1-3.mga6
+ Revision: 1055504
- disable testsuite on ARM for now
- disable static libraries

* Thu Sep 22 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1055201
- Rebuild for arm

* Wed Sep 14 2016 mitya <mitya> 0.4.1-1.mga6
+ Revision: 1052565
- cjose 0.4.1
- Created package structure for cjose.

